Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.util
Class DbPrintLog

    java.lang.Object
      com.sleepycat.je.util.DbPrintLog

    public class DbPrintLog

extends Object

Dumps the contents of the log in XML format to System.out.

To print an environment log:

          DbPrintLog.main(argv);

Constructor Summary
`DbPrintLog()`

Method Summary
`static void` | `main(String[] argv)` The main used by the DbPrintLog utility.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbPrintLog

    public DbPrintLog()

Method Detail

### main

    public static void main(String[] argv)

  The main used by the DbPrintLog utility.

  Parameters:
    `argv` - An array of command line arguments to the DbPrintLog utility.

         usage: java { com.sleepycat.je.util.DbPrintLog | -jar
         je-<version>.jar DbPrintLog }
          -h <envHomeDir>
          -e  <end file number, in hex>
          -k  <binary|hex|text|obfuscate> (format for dumping the key)
          -s  <start file number, in hex>
          -tx <targeted txn ids, comma separated
          -ty <targeted entry types, comma separated
          -v  <true | false> (verbose option
              If true, full entry is printed,
              else short version. True by default.)
         All arguments are optional

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.